# Iteru: Continuous Monitoring of GERD Reservoir using Google Earth Engine API and Sentinel-1 SAR Imagery


[![image](https://img.shields.io/pypi/v/iteru.svg)](https://pypi.python.org/pypi/iteru)

**This GitHub project serves as a Python package developed for my M.Sc. thesis in Geoinformatics and Remote Sensing. The primary objective of this project is to provide a robust solution for continuously monitoring the Grand Ethiopian Renaissance Dam [(GERD)](https://en.wikipedia.org/wiki/Grand_Ethiopian_Renaissance_Dam) reservoir in Ethiopia. By leveraging the Google Earth Engine API and Sentinel-1 Synthetic Aperture Radar (SAR) imagery, this package offers valuable insights into the reservoir's water storage dynamics and changes over time.**




## Installation

To use **iteru**, you must first [sign up](https://earthengine.google.com/signup) for a [Google Earth Engine](https://earthengine.google.com/) account.

To install iteru, run this command in your terminal:

```pthon
  pip install iteru
```
   
## Key Features

- Access and retrieve Sentinel-1 SAR imagery using the Google Earth Engine API.
- Preprocess SAR imagery by applying calibration and speckle filtering techniques.
- Extract relevant information and parameters related to the GERD reservoir.
- Analyze and visualize the reservoir's variations and water storage dynamics.
- Implement continuous monitoring mechanisms for timely updates.
- Integrate scheduled tasks or event-based triggers for data retrieval and processing.

## Credits

This package was created with [Cookiecutter](https://github.com/cookiecutter/cookiecutter) and the [giswqs/pypackage](https://github.com/giswqs/pypackage) project template.

## Contributing

Contributions to this project are welcome! If you encounter any issues or have suggestions for improvements, please feel free to open an issue or submit a pull request.

## License

This project is licensed under the [MIT](https://choosealicense.com/licenses/mit/) License.
